curl
curl -X GET "https://api.triggr-app.com/api/v1/core/requests" \
-H "Authorization: Bearer $TRIGGR_API_KEY"const res = await fetch("https://api.triggr-app.com/api/v1/core/requests", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/core/requests' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/core/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/core/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/core/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/core/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/core/requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/core/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"hasMore": false,
"requests": [
{
"clientId": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"clientName": "Acme Ltd",
"createdAt": "2026-09-07T09:59:50Z",
"error": "Exchange returned 403: insufficient permissions",
"executionId": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"failedStep": "Convert mailbox to shared",
"id": "3c9e5a71-2b48-4d0f-9e6c-8a1b7d4f2e50",
"name": "Offboarding",
"slug": "offboarding",
"source": "public",
"status": "failed",
"subject": "Offboard Jane Doe",
"submitter": {
"email": "priya@acme.com",
"name": "Priya Patel"
},
"updatedAt": "2026-09-07T10:02:14Z"
}
],
"total": 1
}{
"error": "<string>"
}{
"error": "<string>"
}Core forms
List Core requests with live status
Every submission made through a Core form — public form, technician, or API — with who asked, for which client, and the live status of the run it started.
GET
/
api
/
v1
/
core
/
requests
curl
curl -X GET "https://api.triggr-app.com/api/v1/core/requests" \
-H "Authorization: Bearer $TRIGGR_API_KEY"const res = await fetch("https://api.triggr-app.com/api/v1/core/requests", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/core/requests' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/core/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/core/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/core/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/core/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/core/requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/core/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"hasMore": false,
"requests": [
{
"clientId": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"clientName": "Acme Ltd",
"createdAt": "2026-09-07T09:59:50Z",
"error": "Exchange returned 403: insufficient permissions",
"executionId": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"failedStep": "Convert mailbox to shared",
"id": "3c9e5a71-2b48-4d0f-9e6c-8a1b7d4f2e50",
"name": "Offboarding",
"slug": "offboarding",
"source": "public",
"status": "failed",
"subject": "Offboard Jane Doe",
"submitter": {
"email": "priya@acme.com",
"name": "Priya Patel"
},
"updatedAt": "2026-09-07T10:02:14Z"
}
],
"total": 1
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Organisation API key. Scoped operations carry x-triggr-scope; the scopes themselves are described in x-triggr-scopes.
Query Parameters
RFC 3339; only rows created at or after it
Page size, default 50, max 100
Required range:
1 <= x <= 100Rows to skip
Required range:
x >= 0⌘I

